Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.datamodel
Interface VariationFeature

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public interface VariationFeature
extends Feature

This is a an occurrence of a nucleotide variation in the genome. The actual variation information is represented by an associated Variation object. Some of the information has been denormalized and is available on the feature for speed purposes.

Author:
  Craig Melsopp
See Also:
  `Variation`

Method Summary
`java.lang.String` | `getAlleleString()` The allele_string is a '/' demimited string representing the alleles associated with this feature's variation.
`int` | `getMapWeight()` The map_weight is the number of times this features variation was mapped to the genome.
`Variation` | `getVariation()` The variation associated with this feature.
`long` | `getVariationInternalID()` The internal id of the variation associated with this feature.
`java.lang.String` | `getVariationName()` Name of the variation associated with the feature.
`void` | `setAlleleString(java.lang.String alleleString)` Set the allele string.
`void` | `setMapWeight(int mapWeight)`
`void` | `setVariation(Variation variation)`
`void` | `setVariationInternalID(long internalID)`
`void` | `setVariationName(java.lang.String name)`

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getAlleleString

    public java.lang.String getAlleleString()

  The allele_string is a '/' demimited string representing the alleles associated with this feature's variation.

  Returns:
    alleles associated with with this feature's variation.

### setAlleleString

    public void setAlleleString(java.lang.String alleleString)

  Set the allele string.

  See Also:
    `getAlleleString()`

### getVariationName

    public java.lang.String getVariationName()

  Name of the variation associated with the feature.

  Returns:
    Name of the variation associated with the feature.

### setVariationName

    public void setVariationName(java.lang.String name)

  See Also:
    `getVariationName()`

### getMapWeight

    public int getMapWeight()

  The map_weight is the number of times this features variation was mapped to the genome.

### setMapWeight

    public void setMapWeight(int mapWeight)

  See Also:
    `getMapWeight()`

### getVariation

    public Variation getVariation()

  The variation associated with this feature. If not set, and this VariationFeature has an associated adaptor an attempt will be made to lazy-load the variation from the database.

  Returns:
    variation if available, otherwise null.

### setVariation

    public void setVariation(Variation variation)

  See Also:
    `getVariation()`

### getVariationInternalID

    public long getVariationInternalID()

  The internal id of the variation associated with this feature.

  Returns:
    internal id of the variation associated with this feature.

### setVariationInternalID

    public void setVariationInternalID(long internalID)

  See Also:
    `getVariationInternalID()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD